# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Bookmarks/BookmarkPropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_BookmarkPropertiesDialog(object):
    def setupUi(self, BookmarkPropertiesDialog):
        BookmarkPropertiesDialog.setObjectName("BookmarkPropertiesDialog")
        BookmarkPropertiesDialog.resize(500, 250)
        BookmarkPropertiesDialog.setMinimumSize(QtCore.QSize(500, 0))
        BookmarkPropertiesDialog.setMaximumSize(QtCore.QSize(500, 250))
        BookmarkPropertiesDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(BookmarkPropertiesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=BookmarkPropertiesDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=BookmarkPropertiesDialog)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.addressLabel = QtWidgets.QLabel(parent=BookmarkPropertiesDialog)
        self.addressLabel.setObjectName("addressLabel")
        self.gridLayout.addWidget(self.addressLabel, 1, 0, 1, 1)
        self.addressEdit = QtWidgets.QLineEdit(parent=BookmarkPropertiesDialog)
        self.addressEdit.setObjectName("addressEdit")
        self.gridLayout.addWidget(self.addressEdit, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=BookmarkPropertiesDialog)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 2, 0, 1, 1)
        self.descriptionEdit = EricSpellCheckedPlainTextEdit(parent=BookmarkPropertiesDialog)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.gridLayout.addWidget(self.descriptionEdit, 2, 1, 1, 1)
        self.visitedLabel = QtWidgets.QLabel(parent=BookmarkPropertiesDialog)
        self.visitedLabel.setText("")
        self.visitedLabel.setObjectName("visitedLabel")
        self.gridLayout.addWidget(self.visitedLabel, 3, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=BookmarkPropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 2)

        self.retranslateUi(BookmarkPropertiesDialog)
        self.buttonBox.accepted.connect(BookmarkPropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(BookmarkPropertiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(BookmarkPropertiesDialog)
        BookmarkPropertiesDialog.setTabOrder(self.nameEdit, self.addressEdit)
        BookmarkPropertiesDialog.setTabOrder(self.addressEdit, self.descriptionEdit)
        BookmarkPropertiesDialog.setTabOrder(self.descriptionEdit, self.buttonBox)

    def retranslateUi(self, BookmarkPropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        BookmarkPropertiesDialog.setWindowTitle(_translate("BookmarkPropertiesDialog", "Bookmark Properties"))
        self.label_2.setText(_translate("BookmarkPropertiesDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("BookmarkPropertiesDialog", "Enter the name"))
        self.addressLabel.setText(_translate("BookmarkPropertiesDialog", "Address:"))
        self.addressEdit.setToolTip(_translate("BookmarkPropertiesDialog", "Enter the address"))
        self.label.setText(_translate("BookmarkPropertiesDialog", "Description:"))
        self.descriptionEdit.setToolTip(_translate("BookmarkPropertiesDialog", "Enter a description"))
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedPlainTextEdit
